Presets
Create a preset
Creates a new instruction preset for the authenticated user. The instruction_data should be a valid instruction object for the given type.
AuthorizationBearer <token>
Token-based authentication using access tokens.
In: header
nameName
Display name for the preset.
description?Description
Optional description.
Default
nulltypeType
Preset type: flat_2_model or model_swap.
Value in
"flat_2_model" | "model_swap"instruction_dataInstruction Data
Instruction configuration data.
Empty Object
category_ids?Category Ids
Optional category IDs to assign the preset to.
Default
nullResponse Body
Examples
curl -X POST "https://v2.api.piktid.com/preset" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"type": "flat_2_model",
"instruction_data": {}
}'{
"preset_code": "string",
"name": "string",
"description": "string",
"type": "flat_2_model",
"visibility": "shared",
"groups": [
"string"
],
"categories": [
{
"id": "string",
"name": "string",
"description": "string",
"thumbnail_url": "string",
"visibility": "shared",
"created_by": "string",
"created_at": "string"
}
],
"instruction_data": {},
"created_by": "string",
"created_at": "string",
"updated_at": "string"
}{
"error": "Invalid request",
"detail": [
{
"field": null,
"message": "string",
"position": "query"
}
]
}Empty
Empty